import { NavLink } from "react-router-dom";
import { useLocation } from "react-router-dom";
import { useUser } from "../../hooks/useUser";
export default function Menu() {
	let location = useLocation();
	const { language, changeLanguage } = useUser();

	return (
		<nav className='main-menu'>
			<ul className='navlist'>
				<NavLink to='/'>Home</NavLink>
				<NavLink to='/select-profile'>Profile</NavLink>
				<NavLink to='/select-country'>Country</NavLink>
				<NavLink to='/play'>Play</NavLink>
				<NavLink to='/results'>Results</NavLink>
			</ul>
			<button onClick={changeLanguage}>{language}</button>
		</nav>
	);
}
